> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raydium.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 使用签名请求身份验证令牌

> 使用格式为 `{signText}{time}` 的消息签名，其中 signText 为「Sign in to raydium.io: 」，time 为当前 Unix 时间戳（秒）。钱包必须签署此消息并提交签名以获得 JWT 令牌。



## OpenAPI

````yaml /zh/api-reference/openapi/launch-auth-v1.yaml post /request-token
openapi: 3.0.3
info:
  title: Raydium Launch Auth API
  description: >-
    管理 LaunchLab 和 Forum API 的钱包身份验证。在验证 ed25519 钱包签名后颁发 JWT 令牌。在 Forum API
    上发表评论和管理内容需要令牌。
  version: 1.0.0
servers:
  - url: https://launch-auth-v1.raydium.io
    description: Mainnet
  - url: https://launch-auth-v1-devnet.raydium.io
    description: Devnet
security: []
tags:
  - name: Token Management
    description: 请求并验证身份验证令牌
  - name: Utilities
    description: 健康检查端点
paths:
  /request-token:
    post:
      tags:
        - Token Management
      summary: 使用签名请求身份验证令牌
      description: >-
        使用格式为 `{signText}{time}` 的消息签名，其中 signText 为「Sign in to raydium.io:
        」，time 为当前 Unix 时间戳（秒）。钱包必须签署此消息并提交签名以获得 JWT 令牌。
      operationId: postRequestToken
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - time
                - signature
                - wallet
              properties:
                time:
                  type: integer
                  description: 签署消息时的当前 Unix 时间戳（秒）
                  example: 1704067200
                signature:
                  type: string
                  description: 消息的 Ed25519 签名（base58 编码）
                  example: 3veiKZ6IHo7jrz9XdwLd8KvvP2pinCtjJXWe6MGNDUjT...
                wallet:
                  type: string
                  description: Solana 钱包公钥
                  example: 4k3Dyjzvzp8eMZWUXbBCjEvwSvsrFjJqkDsyU5F5oV4
      responses:
        '200':
          description: 令牌颁发成功
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  success:
                    type: boolean
                    example: true
                  data:
                    type: object
                    properties:
                      token:
                        type: string
        '400':
          description: 请求参数无效
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  success:
                    type: boolean
                    example: false
                  data:
                    type: object
                    properties:
                      msg:
                        type: string
                        example: Invalid signature

````